<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-10
 * Time: 18:47
 */

namespace App\Transformers;

use App\Models\Category;
use App\Models\Meta;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;

class MetaTransformer extends TransformerAbstract
{
    public function transform(Meta $meta)
    {

        return [
            "patch_num" => $meta['patch_num'],
            "variety" => $meta['variety'],
            "variety_img" => $meta['variety_img'],
            "age" => $meta['age'],
            "food" => $meta['food'],
            "food_img" => $meta['food_img'],
            "water" => $meta['water'],
            "water_img" => $meta['water_img'],
            "status" => $meta['status'],
            "trans_id" => $meta['trans_id'],
            "zip" => $meta['zip'],
            "md5" => $meta['md5'],
            "created_at" => Carbon::parse($meta['created_at'])->toDateTimeString(),
            "updated_at" => Carbon::parse($meta['updated_at'])->toDateTimeString(),
        ];
    }
}